#!/usr/bin/env python
# -*- coding: UTF-8 -*-
  
from distutils.core import setup
import os, glob

BASE_DIR = '/usr/share'
APP_DIR =  os.path.join(BASE_DIR, 'zephir')
DATA_DIR = '/var/lib/zephir'
INIT_DIR = '/etc/init.d/'

# listing des répertoires de données
def get_data(data_dict):
    datafiles = []
    for path, dirs in data_dict.items():
        while dirs != []:
            next_dirs = []
            for d in dirs:
                cur_files = []
                dest = os.sep.join(d.split(os.sep)[1:])
                dest = os.path.join(path, dest)
                for fic in glob.glob(d+'/*'):
                    if os.path.isdir(fic):
                        next_dirs.append(fic)
                    else:
                        cur_files.append(fic)
                datafiles.append((dest, cur_files))
            dirs = next_dirs
    return datafiles

setup(
    author='eole',
    author_email='eole@ac-dijon.fr',
    name='zephir-common',
    version='2.0',
    description='Zephir Parc, configuration and monitoring for Eole modules',
    url='http://www.eole.orion.education.fr',
    packages=['zephir','zephir.utils','zephir.utils.trml2pdf'],
    py_modules=['twisted.plugins.eole_zephir', 'dico', 'eosfuncs'],
    data_files = get_data({APP_DIR:['data'], INIT_DIR:['init']})
)
